org.eclipse.wst.jsdt.core.compiler

## Interface IProblem

All Known Implementing Classes:
  CategorizedProblem

    public interface IProblem

Description of a JavaScript problem, as detected by the validator A problem provides access to:

- its location (originating source file name, source position, line number),
- its message description and a predicate to check its severity (warning or error).
- its ID : a number identifying the very nature of this problem. All possible IDs are listed as constants on this interface.

Note: the validator produces IProblems internally, which are turned into markers by the JavaScriptBuilder so as to persist problem descriptions. This explains why there is no API allowing to reach IProblem detected when compiling. However, the JavaScript problem markers carry equivalent information to IProblem, in particular their ID (attribute "id") is set to one of the IDs defined on this interface. Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Field Summary

Fields
`static int` `AbstractMethodCannotBeOverridden`
`static int` `AbstractMethodInAbstractClass`
`static int` `AbstractMethodMustBeImplemented`
`static int` `AmbiguousConstructor`
`static int` `AmbiguousConstructorInDefaultConstructor`
`static int` `AmbiguousConstructorInImplicitConstructorCall`
`static int` `AmbiguousField`
`static int` `AmbiguousMethod`
`static int` `AmbiguousType`
`static int` `ArgumentHidingField`
`static int` `ArgumentHidingLocalVariable`
`static int` `ArgumentIsNeverUsed`
`static int` `ArgumentTypeCannotBeVoid`
`static int` `ArrayConstantsOnlyInArrayInitializers`
`static int` `ArrayReferenceRequired`
`static int` `AssignmentHasNoEffect`
`static int` `BodyForAbstractMethod`
`static int` `BodyForNativeMethod`
`static int` `BytecodeExceeds64KLimit`
`static int` `BytecodeExceeds64KLimitForClinit`
`static int` `BytecodeExceeds64KLimitForConstructor`
`static int` `CannotAllocateVoidArray`
`static int` `CannotDefineDimensionExpressionsWithInit`
`static int` `CannotDefineStaticInitializerInLocalType`
`static int` `CannotHideAnInstanceMethodWithAStaticMethod`
`static int` `CannotImportPackage`
`static int` `CannotOverrideAStaticMethodWithAnInstanceMethod`
`static int` `CannotReadSource`
`static int` `CannotReturnOutsideFunction`
`static int` `CannotThrowNull`
`static int` `CannotThrowType`
`static int` `ClassExtendFinalClass`
`static int` `CodeCannotBeReached`
`static int` `CodeSnippetMissingClass`
`static int` `CodeSnippetMissingMethod`
`static int` `ConflictingImport`
`static int` `ConstructorRelated`
`static int` `CorruptedSignature` Corrupted binaries
`static int` `DirectInvocationOfAbstractMethod`
`static int` `DiscouragedReference`
`static int` `DuplicateBlankFinalFieldInitialization`
`static int` `DuplicateCase`
`static int` `DuplicateDefaultCase`
`static int` `DuplicateField`
`static int` `DuplicateFinalLocalInitialization`
`static int` `DuplicateImport`
`static int` `DuplicateLabel`
`static int` `DuplicateMethod`
`static int` `DuplicateModifierForArgument`
`static int` `DuplicateModifierForField`
`static int` `DuplicateModifierForMethod`
`static int` `DuplicateModifierForType`
`static int` `DuplicateModifierForVariable`
`static int` `DuplicateNestedType`
`static int` `DuplicateTypes`
`static int` `EmptyControlFlowStatement`
`static int` `EnclosingInstanceInConstructorCall`
`static int` `EndOfSource`
`static int` `ExpressionShouldBeAVariable`
`static int` `ExternalProblemFixable`
`static int` `ExternalProblemNotFixable` External problems -- These are problems defined by other plugins
`static int` `FallthroughCase`
`static int` `FieldHidingField`
`static int` `FieldHidingLocalVariable`
`static int` `FieldRelated`
`static int` `FinalFieldAssignment`
`static int` `FinallyMustCompleteNormally`
`static int` `FinalOuterLocalAssignment`
`static int` `ForbiddenReference`
`static int` `HidingEnclosingType`
`static int` `HierarchyCircularity`
`static int` `HierarchyCircularitySelfReference`
`static int` `HierarchyHasProblems`
`static int` `IgnoreCategoriesMask` Mask to use in order to filter out the category portion of the problem ID.
`static int` `IllegalAbstractModifierCombinationForMethod`
`static int` `IllegalDimension`
`static int` `IllegalEnclosingInstanceSpecification`
`static int` `IllegalModifierCombinationFinalAbstractForClass`
`static int` `IllegalModifierCombinationFinalVolatileForField`
`static int` `IllegalModifierForClass`
`static int` `IllegalModifierForField`
`static int` `IllegalModifierForLocalClass`
`static int` `IllegalModifierForMemberClass`
`static int` `IllegalModifierForMethod`
`static int` `IllegalPrimitiveOrArrayTypeForEnclosingInstance`
`static int` `IllegalStaticModifierForMemberType`
`static int` `IllegalUsageOfQualifiedTypeReference`
`static int` `IllegalVararg`
`static int` `IllegalVisibilityModifierCombinationForField`
`static int` `IllegalVisibilityModifierCombinationForMemberType`
`static int` `IllegalVisibilityModifierCombinationForMethod`
`static int` `ImportNotFound`
`static int` `ImportRelated`
`static int` `IncompatibleExceptionInInheritedMethodThrowsClause`
`static int` `IncompatibleExceptionInThrowsClause`
`static int` `IncompatibleReturnType`
`static int` `IncompatibleTypesInConditionalOperator`
`static int` `IncompatibleTypesInEqualityOperator`
`static int` `IncompatibleTypesInForeach` Foreach
`static int` `IncorrectEnclosingInstanceReference`
`static int` `IncorrectSwitchType`
`static int` `IndirectAccessToStaticField`
`static int` `IndirectAccessToStaticMethod`
`static int` `IndirectAccessToStaticType`
`static int` `InheritedFieldHidesEnclosingName`
`static int` `InheritedMethodHidesEnclosingName`
`static int` `InheritedMethodReducesVisibility`
`static int` `InheritedTypeHidesEnclosingName`
`static int` `InitializerMustCompleteNormally`
`static int` `InstanceFieldDuringConstructorInvocation`
`static int` `InstanceMethodDuringConstructorInvocation`
`static int` `Internal`
`static int` `InternalTypeNameProvided`
`static int` `InvalidBreak`
`static int` `InvalidCharacterConstant`
`static int` `InvalidClassInstantiation`
`static int` `InvalidContinue`
`static int` `InvalidDigit`
`static int` `InvalidEncoding` Corrupted source
`static int` `InvalidEscape`
`static int` `InvalidExplicitConstructorCall`
`static int` `InvalidExpressionAsStatement`
`static int` `InvalidFloat`
`static int` `InvalidHexa`
`static int` `InvalidHighSurrogate`
`static int` `InvalidInput`
`static int` `InvalidLowSurrogate`
`static int` `InvalidNullToSynchronized`
`static int` `InvalidOctal`
`static int` `InvalidOperator`
`static int` `InvalidParenthesizedExpression`
`static int` `InvalidTypeForCollection`
`static int` `InvalidTypeToSynchronized`
`static int` `InvalidUnaryExpression`
`static int` `InvalidUnicodeEscape`
`static int` `InvalidUsageOfForeachStatements` 1.5 Syntax errors (when source level < 1.5)
`static int` `InvalidValueForGetter`
`static int` `InvalidValueForSetter`
`static int` `InvalidVoidExpression`
`static int` `IsClassPathCorrect`
`static int` `Javadoc`
`static int` `JavadocAmbiguousConstructor`
`static int` `JavadocAmbiguousField`
`static int` `JavadocAmbiguousMethod`
`static int` `JavadocAmbiguousType`
`static int` `JavadocDuplicateParamName`
`static int` `JavadocDuplicateReturnTag`
`static int` `JavadocDuplicateThrowsClassName`
`static int` `JavadocEmptyReturnTag`
`static int` `JavadocHiddenReference` Problem signaled on an hidden reference due to a too low visibility level.
`static int` `JavadocInheritedFieldHidesEnclosingName`
`static int` `JavadocInheritedMethodHidesEnclosingName`
`static int` `JavadocInheritedNameHidesEnclosingTypeName`
`static int` `JavadocInternalTypeNameProvided`
`static int` `JavadocInvalidMemberTypeQualification` Problem signaled on an invalid qualification for member type reference.
`static int` `JavadocInvalidParamName`
`static int` `JavadocInvalidParamTagName`
`static int` `JavadocInvalidSeeArgs`
`static int` `JavadocInvalidSeeHref`
`static int` `JavadocInvalidSeeReference`
`static int` `JavadocInvalidTag`
`static int` `JavadocInvalidThrowsClass`
`static int` `JavadocInvalidThrowsClassName`
`static int` `JavadocMalformedSeeReference`
`static int` `JavadocMessagePrefix`
`static int` `JavadocMissing`
`static int` `JavadocMissingHashCharacter`
`static int` `JavadocMissingIdentifier`
`static int` `JavadocMissingParamName`
`static int` `JavadocMissingParamTag`
`static int` `JavadocMissingReturnTag`
`static int` `JavadocMissingSeeReference`
`static int` `JavadocMissingThrowsClassName`
`static int` `JavadocMissingThrowsTag`
`static int` `JavadocNoMessageSendOnArrayType`
`static int` `JavadocNoMessageSendOnBaseType`
`static int` `JavadocNonStaticTypeFromStaticInvocation`
`static int` `JavadocNotVisibleConstructor`
`static int` `JavadocNotVisibleField`
`static int` `JavadocNotVisibleMethod`
`static int` `JavadocNotVisibleType`
`static int` `JavadocParameterMismatch`
`static int` `JavadocUndefinedConstructor`
`static int` `JavadocUndefinedField`
`static int` `JavadocUndefinedMethod`
`static int` `JavadocUndefinedType`
`static int` `JavadocUnexpectedTag`
`static int` `JavadocUnexpectedText`
`static int` `JavadocUnterminatedInlineTag`
`static int` `JavadocUsingDeprecatedConstructor`
`static int` `JavadocUsingDeprecatedField`
`static int` `JavadocUsingDeprecatedMethod`
`static int` `JavadocUsingDeprecatedType`
`static int` `LocalVariableHidingField`
`static int` `LocalVariableHidingLocalVariable`
`static int` `LocalVariableIsNeverUsed`
`static int` `LooseVarDecl`
`static int` `MaskedCatch`
`static int` `MethodButWithConstructorName`
`static int` `MethodReducesVisibility`
`static int` `MethodRelated`
`static int` `MethodRequiresBody`
`static int` `MethodReturnsVoid`
`static int` `MissingEnclosingInstance`
`static int` `MissingEnclosingInstanceForConstructorCall` Inner types related problems
`static int` `MissingReturnType`
`static int` `MissingSemiColon`
`static int` `MustDefineEitherDimensionExpressionsOrInitializer`
`static int` `MustSpecifyPackage`
`static int` `NativeMethodsCannotBeStrictfp`
`static int` `NeedToEmulateConstructorAccess`
`static int` `NeedToEmulateFieldReadAccess`
`static int` `NeedToEmulateFieldWriteAccess`
`static int` `NeedToEmulateMethodAccess`
`static int` `NoFieldOnBaseType`
`static int` `NoMessageSendOnArrayType`
`static int` `NoMessageSendOnBaseType`
`static int` `NonBlankFinalLocalAssignment`
`static int` `NonExternalizedStringLiteral`
`static int` `NonNullLocalVariableComparisonYieldsFalse`
`static int` `NonStaticAccessToStaticField`
`static int` `NonStaticAccessToStaticMethod`
`static int` `NonStaticFieldFromStaticInvocation`
`static int` `NotAFunction`
`static int` `NotVisibleConstructor`
`static int` `NotVisibleConstructorInDefaultConstructor`
`static int` `NotVisibleConstructorInImplicitConstructorCall`
`static int` `NotVisibleField`
`static int` `NotVisibleMethod`
`static int` `NotVisibleType`
`static int` `NullLocalVariableComparisonYieldsFalse`
`static int` `NullLocalVariableInstanceofYieldsFalse`
`static int` `NullLocalVariableReference`
`static int` `NullSourceString`
`static int` `NumericValueOutOfRange`
`static int` `ObjectCannotHaveSuperTypes`
`static int` `ObjectMustBeClass`
`static int` `OptionalSemiColon`
`static int` `OuterLocalMustBeFinal`
`static int` `OverridingDeprecatedMethod`
`static int` `OverridingMethodWithoutSuperInvocation`
`static int` `OverridingNonVisibleMethod`
`static int` `PackageCollidesWithType`
`static int` `PackageIsNotExpectedPackage`
`static int` `ParameterAssignment`
`static int` `ParameterMismatch`
`static int` `ParsingError`
`static int` `ParsingErrorDeleteToken`
`static int` `ParsingErrorDeleteTokens`
`static int` `ParsingErrorInsertToComplete`
`static int` `ParsingErrorInsertToCompletePhrase`
`static int` `ParsingErrorInsertToCompleteScope`
`static int` `ParsingErrorInsertTokenAfter`
`static int` `ParsingErrorInsertTokenBefore`
`static int` `ParsingErrorInvalidToken`
`static int` `ParsingErrorMergeTokens`
`static int` `ParsingErrorMisplacedConstruct`
`static int` `ParsingErrorNoSuggestion`
`static int` `ParsingErrorNoSuggestionForTokens`
`static int` `ParsingErrorOnKeyword`
`static int` `ParsingErrorOnKeywordNoSuggestion`
`static int` `ParsingErrorReplaceTokens`
`static int` `ParsingErrorUnexpectedEOF`
`static int` `PossibleAccidentalBooleanAssignment`
`static int` `PotentialNullLocalVariableReference`
`static int` `RecursiveConstructorInvocation`
`static int` `RedefinedArgument`
`static int` `RedefinedLocal`
`static int` `RedundantLocalVariableNullAssignment`
`static int` `RedundantNullCheckOnNonNullLocalVariable`
`static int` `RedundantNullCheckOnNullLocalVariable`
`static int` `ReferenceToForwardField`
`static int` `ShouldReturnValue`
`static int` `StaticInheritedMethodConflicts`
`static int` `StaticMethodRequested`
`static int` `StringConstantIsExceedingUtf8Limit`
`static int` `SuperclassMustBeAClass`
`static int` `SuperfluousSemicolon`
`static int` `Syntax`
`static int` `Task`
`static int` `ThisInStaticContext`
`static int` `ThisSuperDuringConstructorInvocation`
`static int` `TooManyArgumentSlots`
`static int` `TooManyArrayDimensions`
`static int` `TooManyBytesForStringConstant`
`static int` `TooManyConstantsInConstantPool`
`static int` `TooManyFields`
`static int` `TooManyLocalVariableSlots`
`static int` `TooManyMethods`
`static int` `TypeCollidesWithPackage`
`static int` `TypeHidingType`
`static int` `TypeMismatch`
`static int` `TypeRelated` Problem Categories The high bits of a problem ID contains information about the category of a problem.
`static int` `Unclassified` ID reserved for referencing an internal error inside the JavaScriptCore implementation which may be surfaced as a problem associated with the javaScript unit which caused it to occur.
`static int` `UndefinedConstructor`
`static int` `UndefinedConstructorInDefaultConstructor`
`static int` `UndefinedConstructorInImplicitConstructorCall`
`static int` `UndefinedField`
`static int` `UndefinedFunction`
`static int` `UndefinedLabel`
`static int` `UndefinedMethod`
`static int` `UndefinedName`
`static int` `UndefinedType` General type related problems
`static int` `UndocumentedEmptyBlock`
`static int` `UnexpectedStaticModifierForField`
`static int` `UnexpectedStaticModifierForMethod`
`static int` `UnhandledException`
`static int` `UnhandledExceptionInDefaultConstructor`
`static int` `UnhandledExceptionInImplicitConstructorCall`
`static int` `UninitializedBlankFinalField`
`static int` `UninitializedGlobalVariable`
`static int` `UninitializedLocalVariable`
`static int` `UnmatchedBracket`
`static int` `UnnecessaryElse`
`static int` `UnnecessaryInstanceof`
`static int` `UnnecessaryNLSTag`
`static int` `UnqualifiedFieldAccess`
`static int` `UnreachableCatch`
`static int` `UnterminatedComment`
`static int` `UnterminatedString`
`static int` `UnusedConstructorDeclaredThrownException`
`static int` `UnusedLabel`
`static int` `UnusedMethodDeclaredThrownException`
`static int` `UnusedPrivateConstructor`
`static int` `UnusedPrivateField`
`static int` `UnusedPrivateMethod`
`static int` `UnusedPrivateType`
`static int` `UseAssertAsAnIdentifier`
`static int` `UseEnumAsAnIdentifier`
`static int` `UsingDeprecatedConstructor`
`static int` `UsingDeprecatedField`
`static int` `UsingDeprecatedMethod`
`static int` `UsingDeprecatedType`
`static int` `VariableTypeCannotBeVoid`
`static int` `VoidMethodReturnsValue`
`static int` `WrongNumberOfArguments`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String[]` `getArguments()` Answer back the original arguments recorded into the problem.
`int` `getID()` Returns the problem id
`java.lang.String` `getMessage()` Answer a localized, human-readable message string which describes the problem.
`char[]` `getOriginatingFileName()` Answer the file name in which the problem was found.
`int` `getSourceEnd()` Answer the end position of the problem (inclusive), or -1 if unknown.
`int` `getSourceLineNumber()` Answer the line number in source where the problem begins.
`int` `getSourceStart()` Answer the start position of the problem (inclusive), or -1 if unknown.
`boolean` `isError()` Checks the severity to see if the Error bit is set.
`boolean` `isWarning()` Checks the severity to see if the Error bit is not set.
`void` `setSourceEnd(int sourceEnd)` Set the end position of the problem (inclusive), or -1 if unknown.
`void` `setSourceLineNumber(int lineNumber)` Set the line number in source where the problem begins.
`void` `setSourceStart(int sourceStart)` Set the start position of the problem (inclusive), or -1 if unknown.

### Field Detail

#### TypeRelated

    static final int TypeRelated

Problem Categories The high bits of a problem ID contains information about the category of a problem. For example, (problemID & TypeRelated) != 0, indicates that this problem is type related. A problem category can help to implement custom problem filters. Indeed, when numerous problems are listed, focusing on import related problems first might be relevant. When a problem is tagged as Internal, it means that no change other than a local source code change can fix the corresponding problem. A type related problem could be addressed by changing the type involved in it.

See Also:
  Constant Field Values

#### FieldRelated

    static final int FieldRelated

See Also:
  Constant Field Values

#### MethodRelated

    static final int MethodRelated

See Also:
  Constant Field Values

#### ConstructorRelated

    static final int ConstructorRelated

See Also:
  Constant Field Values

#### ImportRelated

    static final int ImportRelated

See Also:
  Constant Field Values

#### Internal

    static final int Internal

See Also:
  Constant Field Values

#### Syntax

    static final int Syntax

See Also:
  Constant Field Values

#### Javadoc

    static final int Javadoc

See Also:
  Constant Field Values

#### IgnoreCategoriesMask

    static final int IgnoreCategoriesMask

Mask to use in order to filter out the category portion of the problem ID.

See Also:
  Constant Field Values

#### Unclassified

    static final int Unclassified

ID reserved for referencing an internal error inside the JavaScriptCore implementation which may be surfaced as a problem associated with the javaScript unit which caused it to occur.

See Also:
  Constant Field Values

#### UndefinedType

    static final int UndefinedType

General type related problems

See Also:
  Constant Field Values

#### NotVisibleType

    static final int NotVisibleType

See Also:
  Constant Field Values

#### AmbiguousType

    static final int AmbiguousType

See Also:
  Constant Field Values

#### UsingDeprecatedType

    static final int UsingDeprecatedType

See Also:
  Constant Field Values

#### InternalTypeNameProvided

    static final int InternalTypeNameProvided

See Also:
  Constant Field Values

#### UnusedPrivateType

    static final int UnusedPrivateType

See Also:
  Constant Field Values

#### IncompatibleTypesInEqualityOperator

    static final int IncompatibleTypesInEqualityOperator

See Also:
  Constant Field Values

#### IncompatibleTypesInConditionalOperator

    static final int IncompatibleTypesInConditionalOperator

See Also:
  Constant Field Values

#### TypeMismatch

    static final int TypeMismatch

See Also:
  Constant Field Values

#### IndirectAccessToStaticType

    static final int IndirectAccessToStaticType

See Also:
  Constant Field Values

#### MissingEnclosingInstanceForConstructorCall

    static final int MissingEnclosingInstanceForConstructorCall

Inner types related problems

See Also:
  Constant Field Values

#### MissingEnclosingInstance

    static final int MissingEnclosingInstance

See Also:
  Constant Field Values

#### IncorrectEnclosingInstanceReference

    static final int IncorrectEnclosingInstanceReference

See Also:
  Constant Field Values

#### IllegalEnclosingInstanceSpecification

    static final int IllegalEnclosingInstanceSpecification

See Also:
  Constant Field Values

#### CannotDefineStaticInitializerInLocalType

    static final int CannotDefineStaticInitializerInLocalType

See Also:
  Constant Field Values

#### OuterLocalMustBeFinal

    static final int OuterLocalMustBeFinal

See Also:
  Constant Field Values

#### IllegalPrimitiveOrArrayTypeForEnclosingInstance

    static final int IllegalPrimitiveOrArrayTypeForEnclosingInstance

See Also:
  Constant Field Values

#### EnclosingInstanceInConstructorCall

    static final int EnclosingInstanceInConstructorCall

See Also:
  Constant Field Values

#### TypeHidingType

    static final int TypeHidingType

See Also:
  Constant Field Values

#### UndefinedName

    static final int UndefinedName

See Also:
  Constant Field Values

#### UninitializedLocalVariable

    static final int UninitializedLocalVariable

See Also:
  Constant Field Values

#### VariableTypeCannotBeVoid

    static final int VariableTypeCannotBeVoid

See Also:
  Constant Field Values

#### CannotAllocateVoidArray

    static final int CannotAllocateVoidArray

See Also:
  Constant Field Values

#### RedefinedLocal

    static final int RedefinedLocal

See Also:
  Constant Field Values

#### RedefinedArgument

    static final int RedefinedArgument

See Also:
  Constant Field Values

#### DuplicateFinalLocalInitialization

    static final int DuplicateFinalLocalInitialization

See Also:
  Constant Field Values

#### NonBlankFinalLocalAssignment

    static final int NonBlankFinalLocalAssignment

See Also:
  Constant Field Values

#### ParameterAssignment

    static final int ParameterAssignment

See Also:
  Constant Field Values

#### FinalOuterLocalAssignment

    static final int FinalOuterLocalAssignment

See Also:
  Constant Field Values

#### LocalVariableIsNeverUsed

    static final int LocalVariableIsNeverUsed

See Also:
  Constant Field Values

#### ArgumentIsNeverUsed

    static final int ArgumentIsNeverUsed

See Also:
  Constant Field Values

#### BytecodeExceeds64KLimit

    static final int BytecodeExceeds64KLimit

See Also:
  Constant Field Values

#### BytecodeExceeds64KLimitForClinit

    static final int BytecodeExceeds64KLimitForClinit

See Also:
  Constant Field Values

#### TooManyArgumentSlots

    static final int TooManyArgumentSlots

See Also:
  Constant Field Values

#### TooManyLocalVariableSlots

    static final int TooManyLocalVariableSlots

See Also:
  Constant Field Values

#### TooManyArrayDimensions

    static final int TooManyArrayDimensions

See Also:
  Constant Field Values

#### BytecodeExceeds64KLimitForConstructor

    static final int BytecodeExceeds64KLimitForConstructor

See Also:
  Constant Field Values

#### UndefinedField

    static final int UndefinedField

See Also:
  Constant Field Values

#### NotVisibleField

    static final int NotVisibleField

See Also:
  Constant Field Values

#### AmbiguousField

    static final int AmbiguousField

See Also:
  Constant Field Values

#### UsingDeprecatedField

    static final int UsingDeprecatedField

See Also:
  Constant Field Values

#### NonStaticFieldFromStaticInvocation

    static final int NonStaticFieldFromStaticInvocation

See Also:
  Constant Field Values

#### ReferenceToForwardField

    static final int ReferenceToForwardField

See Also:
  Constant Field Values

#### NonStaticAccessToStaticField

    static final int NonStaticAccessToStaticField

See Also:
  Constant Field Values

#### UnusedPrivateField

    static final int UnusedPrivateField

See Also:
  Constant Field Values

#### IndirectAccessToStaticField

    static final int IndirectAccessToStaticField

See Also:
  Constant Field Values

#### UnqualifiedFieldAccess

    static final int UnqualifiedFieldAccess

See Also:
  Constant Field Values

#### FinalFieldAssignment

    static final int FinalFieldAssignment

See Also:
  Constant Field Values

#### UninitializedBlankFinalField

    static final int UninitializedBlankFinalField

See Also:
  Constant Field Values

#### DuplicateBlankFinalFieldInitialization

    static final int DuplicateBlankFinalFieldInitialization

See Also:
  Constant Field Values

#### LocalVariableHidingLocalVariable

    static final int LocalVariableHidingLocalVariable

See Also:
  Constant Field Values

#### LocalVariableHidingField

    static final int LocalVariableHidingField

See Also:
  Constant Field Values

#### FieldHidingLocalVariable

    static final int FieldHidingLocalVariable

See Also:
  Constant Field Values

#### FieldHidingField

    static final int FieldHidingField

See Also:
  Constant Field Values

#### ArgumentHidingLocalVariable

    static final int ArgumentHidingLocalVariable

See Also:
  Constant Field Values

#### ArgumentHidingField

    static final int ArgumentHidingField

See Also:
  Constant Field Values

#### LooseVarDecl

    static final int LooseVarDecl

See Also:
  Constant Field Values

#### UninitializedGlobalVariable

    static final int UninitializedGlobalVariable

See Also:
  Constant Field Values

#### UndefinedMethod

    static final int UndefinedMethod

See Also:
  Constant Field Values

#### NotVisibleMethod

    static final int NotVisibleMethod

See Also:
  Constant Field Values

#### AmbiguousMethod

    static final int AmbiguousMethod

See Also:
  Constant Field Values

#### UsingDeprecatedMethod

    static final int UsingDeprecatedMethod

See Also:
  Constant Field Values

#### DirectInvocationOfAbstractMethod

    static final int DirectInvocationOfAbstractMethod

See Also:
  Constant Field Values

#### VoidMethodReturnsValue

    static final int VoidMethodReturnsValue

See Also:
  Constant Field Values

#### MethodReturnsVoid

    static final int MethodReturnsVoid

See Also:
  Constant Field Values

#### MethodRequiresBody

    static final int MethodRequiresBody

See Also:
  Constant Field Values

#### ShouldReturnValue

    static final int ShouldReturnValue

See Also:
  Constant Field Values

#### UndefinedFunction

    static final int UndefinedFunction

See Also:
  Constant Field Values

#### MethodButWithConstructorName

    static final int MethodButWithConstructorName

See Also:
  Constant Field Values

#### MissingReturnType

    static final int MissingReturnType

See Also:
  Constant Field Values

#### BodyForNativeMethod

    static final int BodyForNativeMethod

See Also:
  Constant Field Values

#### BodyForAbstractMethod

    static final int BodyForAbstractMethod

See Also:
  Constant Field Values

#### NoMessageSendOnBaseType

    static final int NoMessageSendOnBaseType

See Also:
  Constant Field Values

#### ParameterMismatch

    static final int ParameterMismatch

See Also:
  Constant Field Values

#### NoMessageSendOnArrayType

    static final int NoMessageSendOnArrayType

See Also:
  Constant Field Values

#### NonStaticAccessToStaticMethod

    static final int NonStaticAccessToStaticMethod

See Also:
  Constant Field Values

#### UnusedPrivateMethod

    static final int UnusedPrivateMethod

See Also:
  Constant Field Values

#### IndirectAccessToStaticMethod

    static final int IndirectAccessToStaticMethod

See Also:
  Constant Field Values

#### WrongNumberOfArguments

    static final int WrongNumberOfArguments

See Also:
  Constant Field Values

#### NotAFunction

    static final int NotAFunction

See Also:
  Constant Field Values

#### UndefinedConstructor

    static final int UndefinedConstructor

See Also:
  Constant Field Values

#### NotVisibleConstructor

    static final int NotVisibleConstructor

See Also:
  Constant Field Values

#### AmbiguousConstructor

    static final int AmbiguousConstructor

See Also:
  Constant Field Values

#### UsingDeprecatedConstructor

    static final int UsingDeprecatedConstructor

See Also:
  Constant Field Values

#### UnusedPrivateConstructor

    static final int UnusedPrivateConstructor

See Also:
  Constant Field Values

#### InstanceFieldDuringConstructorInvocation

    static final int InstanceFieldDuringConstructorInvocation

See Also:
  Constant Field Values

#### InstanceMethodDuringConstructorInvocation

    static final int InstanceMethodDuringConstructorInvocation

See Also:
  Constant Field Values

#### RecursiveConstructorInvocation

    static final int RecursiveConstructorInvocation

See Also:
  Constant Field Values

#### ThisSuperDuringConstructorInvocation

    static final int ThisSuperDuringConstructorInvocation

See Also:
  Constant Field Values

#### InvalidExplicitConstructorCall

    static final int InvalidExplicitConstructorCall

See Also:
  Constant Field Values

#### UndefinedConstructorInDefaultConstructor

    static final int UndefinedConstructorInDefaultConstructor

See Also:
  Constant Field Values

#### NotVisibleConstructorInDefaultConstructor

    static final int NotVisibleConstructorInDefaultConstructor

See Also:
  Constant Field Values

#### AmbiguousConstructorInDefaultConstructor

    static final int AmbiguousConstructorInDefaultConstructor

See Also:
  Constant Field Values

#### UndefinedConstructorInImplicitConstructorCall

    static final int UndefinedConstructorInImplicitConstructorCall

See Also:
  Constant Field Values

#### NotVisibleConstructorInImplicitConstructorCall

    static final int NotVisibleConstructorInImplicitConstructorCall

See Also:
  Constant Field Values

#### AmbiguousConstructorInImplicitConstructorCall

    static final int AmbiguousConstructorInImplicitConstructorCall

See Also:
  Constant Field Values

#### UnhandledExceptionInDefaultConstructor

    static final int UnhandledExceptionInDefaultConstructor

See Also:
  Constant Field Values

#### UnhandledExceptionInImplicitConstructorCall

    static final int UnhandledExceptionInImplicitConstructorCall

See Also:
  Constant Field Values

#### ArrayReferenceRequired

    static final int ArrayReferenceRequired

See Also:
  Constant Field Values

#### StringConstantIsExceedingUtf8Limit

    static final int StringConstantIsExceedingUtf8Limit

See Also:
  Constant Field Values

#### NumericValueOutOfRange

    static final int NumericValueOutOfRange

See Also:
  Constant Field Values

#### InvalidClassInstantiation

    static final int InvalidClassInstantiation

See Also:
  Constant Field Values

#### CannotDefineDimensionExpressionsWithInit

    static final int CannotDefineDimensionExpressionsWithInit

See Also:
  Constant Field Values

#### MustDefineEitherDimensionExpressionsOrInitializer

    static final int MustDefineEitherDimensionExpressionsOrInitializer

See Also:
  Constant Field Values

#### InvalidOperator

    static final int InvalidOperator

See Also:
  Constant Field Values

#### CodeCannotBeReached

    static final int CodeCannotBeReached

See Also:
  Constant Field Values

#### CannotReturnOutsideFunction

    static final int CannotReturnOutsideFunction

See Also:
  Constant Field Values

#### InitializerMustCompleteNormally

    static final int InitializerMustCompleteNormally

See Also:
  Constant Field Values

#### InvalidVoidExpression

    static final int InvalidVoidExpression

See Also:
  Constant Field Values

#### MaskedCatch

    static final int MaskedCatch

See Also:
  Constant Field Values

#### DuplicateDefaultCase

    static final int DuplicateDefaultCase

See Also:
  Constant Field Values

#### UnreachableCatch

    static final int UnreachableCatch

See Also:
  Constant Field Values

#### UnhandledException

    static final int UnhandledException

See Also:
  Constant Field Values

#### IncorrectSwitchType

    static final int IncorrectSwitchType

See Also:
  Constant Field Values

#### DuplicateCase

    static final int DuplicateCase

See Also:
  Constant Field Values

#### DuplicateLabel

    static final int DuplicateLabel

See Also:
  Constant Field Values

#### InvalidBreak

    static final int InvalidBreak

See Also:
  Constant Field Values

#### InvalidContinue

    static final int InvalidContinue

See Also:
  Constant Field Values

#### UndefinedLabel

    static final int UndefinedLabel

See Also:
  Constant Field Values

#### InvalidTypeToSynchronized

    static final int InvalidTypeToSynchronized

See Also:
  Constant Field Values

#### InvalidNullToSynchronized

    static final int InvalidNullToSynchronized

See Also:
  Constant Field Values

#### CannotThrowNull

    static final int CannotThrowNull

See Also:
  Constant Field Values

#### AssignmentHasNoEffect

    static final int AssignmentHasNoEffect

See Also:
  Constant Field Values

#### PossibleAccidentalBooleanAssignment

    static final int PossibleAccidentalBooleanAssignment

See Also:
  Constant Field Values

#### SuperfluousSemicolon

    static final int SuperfluousSemicolon

See Also:
  Constant Field Values

#### UnnecessaryInstanceof

    static final int UnnecessaryInstanceof

See Also:
  Constant Field Values

#### FinallyMustCompleteNormally

    static final int FinallyMustCompleteNormally

See Also:
  Constant Field Values

#### UnusedMethodDeclaredThrownException

    static final int UnusedMethodDeclaredThrownException

See Also:
  Constant Field Values

#### UnusedConstructorDeclaredThrownException

    static final int UnusedConstructorDeclaredThrownException

See Also:
  Constant Field Values

#### EmptyControlFlowStatement

    static final int EmptyControlFlowStatement

See Also:
  Constant Field Values

#### UnnecessaryElse

    static final int UnnecessaryElse

See Also:
  Constant Field Values

#### NeedToEmulateFieldReadAccess

    static final int NeedToEmulateFieldReadAccess

See Also:
  Constant Field Values

#### NeedToEmulateFieldWriteAccess

    static final int NeedToEmulateFieldWriteAccess

See Also:
  Constant Field Values

#### NeedToEmulateMethodAccess

    static final int NeedToEmulateMethodAccess

See Also:
  Constant Field Values

#### NeedToEmulateConstructorAccess

    static final int NeedToEmulateConstructorAccess

See Also:
  Constant Field Values

#### FallthroughCase

    static final int FallthroughCase

See Also:
  Constant Field Values

#### InheritedMethodHidesEnclosingName

    static final int InheritedMethodHidesEnclosingName

See Also:
  Constant Field Values

#### InheritedFieldHidesEnclosingName

    static final int InheritedFieldHidesEnclosingName

See Also:
  Constant Field Values

#### InheritedTypeHidesEnclosingName

    static final int InheritedTypeHidesEnclosingName

See Also:
  Constant Field Values

#### IllegalUsageOfQualifiedTypeReference

    static final int IllegalUsageOfQualifiedTypeReference

See Also:
  Constant Field Values

#### UnusedLabel

    static final int UnusedLabel

See Also:
  Constant Field Values

#### ThisInStaticContext

    static final int ThisInStaticContext

See Also:
  Constant Field Values

#### StaticMethodRequested

    static final int StaticMethodRequested

See Also:
  Constant Field Values

#### IllegalDimension

    static final int IllegalDimension

See Also:
  Constant Field Values

#### ParsingError

    static final int ParsingError

See Also:
  Constant Field Values

#### ParsingErrorNoSuggestion

    static final int ParsingErrorNoSuggestion

See Also:
  Constant Field Values

#### InvalidUnaryExpression

    static final int InvalidUnaryExpression

See Also:
  Constant Field Values

#### ArrayConstantsOnlyInArrayInitializers

    static final int ArrayConstantsOnlyInArrayInitializers

See Also:
  Constant Field Values

#### ParsingErrorOnKeyword

    static final int ParsingErrorOnKeyword

See Also:
  Constant Field Values

#### ParsingErrorOnKeywordNoSuggestion

    static final int ParsingErrorOnKeywordNoSuggestion

See Also:
  Constant Field Values

#### UnmatchedBracket

    static final int UnmatchedBracket

See Also:
  Constant Field Values

#### NoFieldOnBaseType

    static final int NoFieldOnBaseType

See Also:
  Constant Field Values

#### InvalidExpressionAsStatement

    static final int InvalidExpressionAsStatement

See Also:
  Constant Field Values

#### ExpressionShouldBeAVariable

    static final int ExpressionShouldBeAVariable

See Also:
  Constant Field Values

#### MissingSemiColon

    static final int MissingSemiColon

See Also:
  Constant Field Values

#### InvalidParenthesizedExpression

    static final int InvalidParenthesizedExpression

See Also:
  Constant Field Values

#### ParsingErrorInsertTokenBefore

    static final int ParsingErrorInsertTokenBefore

See Also:
  Constant Field Values

#### ParsingErrorInsertTokenAfter

    static final int ParsingErrorInsertTokenAfter

See Also:
  Constant Field Values

#### ParsingErrorDeleteToken

    static final int ParsingErrorDeleteToken

See Also:
  Constant Field Values

#### ParsingErrorDeleteTokens

    static final int ParsingErrorDeleteTokens

See Also:
  Constant Field Values

#### ParsingErrorMergeTokens

    static final int ParsingErrorMergeTokens

See Also:
  Constant Field Values

#### ParsingErrorInvalidToken

    static final int ParsingErrorInvalidToken

See Also:
  Constant Field Values

#### ParsingErrorMisplacedConstruct

    static final int ParsingErrorMisplacedConstruct

See Also:
  Constant Field Values

#### ParsingErrorReplaceTokens

    static final int ParsingErrorReplaceTokens

See Also:
  Constant Field Values

#### ParsingErrorNoSuggestionForTokens

    static final int ParsingErrorNoSuggestionForTokens

See Also:
  Constant Field Values

#### ParsingErrorUnexpectedEOF

    static final int ParsingErrorUnexpectedEOF

See Also:
  Constant Field Values

#### ParsingErrorInsertToComplete

    static final int ParsingErrorInsertToComplete

See Also:
  Constant Field Values

#### ParsingErrorInsertToCompleteScope

    static final int ParsingErrorInsertToCompleteScope

See Also:
  Constant Field Values

#### ParsingErrorInsertToCompletePhrase

    static final int ParsingErrorInsertToCompletePhrase

See Also:
  Constant Field Values

#### OptionalSemiColon

    static final int OptionalSemiColon

See Also:
  Constant Field Values

#### EndOfSource

    static final int EndOfSource

See Also:
  Constant Field Values

#### InvalidHexa

    static final int InvalidHexa

See Also:
  Constant Field Values

#### InvalidOctal

    static final int InvalidOctal

See Also:
  Constant Field Values

#### InvalidCharacterConstant

    static final int InvalidCharacterConstant

See Also:
  Constant Field Values

#### InvalidEscape

    static final int InvalidEscape

See Also:
  Constant Field Values

#### InvalidInput

    static final int InvalidInput

See Also:
  Constant Field Values

#### InvalidUnicodeEscape

    static final int InvalidUnicodeEscape

See Also:
  Constant Field Values

#### InvalidFloat

    static final int InvalidFloat

See Also:
  Constant Field Values

#### NullSourceString

    static final int NullSourceString

See Also:
  Constant Field Values

#### UnterminatedString

    static final int UnterminatedString

See Also:
  Constant Field Values

#### UnterminatedComment

    static final int UnterminatedComment

See Also:
  Constant Field Values

#### NonExternalizedStringLiteral

    static final int NonExternalizedStringLiteral

See Also:
  Constant Field Values

#### InvalidDigit

    static final int InvalidDigit

See Also:
  Constant Field Values

#### InvalidLowSurrogate

    static final int InvalidLowSurrogate

See Also:
  Constant Field Values

#### InvalidHighSurrogate

    static final int InvalidHighSurrogate

See Also:
  Constant Field Values

#### UnnecessaryNLSTag

    static final int UnnecessaryNLSTag

See Also:
  Constant Field Values

#### DiscouragedReference

    static final int DiscouragedReference

See Also:
  Constant Field Values

#### DuplicateModifierForType

    static final int DuplicateModifierForType

See Also:
  Constant Field Values

#### IllegalModifierForClass

    static final int IllegalModifierForClass

See Also:
  Constant Field Values

#### IllegalModifierForMemberClass

    static final int IllegalModifierForMemberClass

See Also:
  Constant Field Values

#### IllegalModifierForLocalClass

    static final int IllegalModifierForLocalClass

See Also:
  Constant Field Values

#### ForbiddenReference

    static final int ForbiddenReference

See Also:
  Constant Field Values

#### IllegalModifierCombinationFinalAbstractForClass

    static final int IllegalModifierCombinationFinalAbstractForClass

See Also:
  Constant Field Values

#### IllegalVisibilityModifierCombinationForMemberType

    static final int IllegalVisibilityModifierCombinationForMemberType

See Also:
  Constant Field Values

#### IllegalStaticModifierForMemberType

    static final int IllegalStaticModifierForMemberType

See Also:
  Constant Field Values

#### SuperclassMustBeAClass

    static final int SuperclassMustBeAClass

See Also:
  Constant Field Values

#### ClassExtendFinalClass

    static final int ClassExtendFinalClass

See Also:
  Constant Field Values

#### HierarchyCircularitySelfReference

    static final int HierarchyCircularitySelfReference

See Also:
  Constant Field Values

#### HierarchyCircularity

    static final int HierarchyCircularity

See Also:
  Constant Field Values

#### HidingEnclosingType

    static final int HidingEnclosingType

See Also:
  Constant Field Values

#### DuplicateNestedType

    static final int DuplicateNestedType

See Also:
  Constant Field Values

#### CannotThrowType

    static final int CannotThrowType

See Also:
  Constant Field Values

#### PackageCollidesWithType

    static final int PackageCollidesWithType

See Also:
  Constant Field Values

#### TypeCollidesWithPackage

    static final int TypeCollidesWithPackage

See Also:
  Constant Field Values

#### DuplicateTypes

    static final int DuplicateTypes

See Also:
  Constant Field Values

#### IsClassPathCorrect

    static final int IsClassPathCorrect

See Also:
  Constant Field Values

#### MustSpecifyPackage

    static final int MustSpecifyPackage

See Also:
  Constant Field Values

#### HierarchyHasProblems

    static final int HierarchyHasProblems

See Also:
  Constant Field Values

#### PackageIsNotExpectedPackage

    static final int PackageIsNotExpectedPackage

See Also:
  Constant Field Values

#### ObjectCannotHaveSuperTypes

    static final int ObjectCannotHaveSuperTypes

See Also:
  Constant Field Values

#### ObjectMustBeClass

    static final int ObjectMustBeClass

See Also:
  Constant Field Values

#### DuplicateField

    static final int DuplicateField

See Also:
  Constant Field Values

#### DuplicateModifierForField

    static final int DuplicateModifierForField

See Also:
  Constant Field Values

#### IllegalModifierForField

    static final int IllegalModifierForField

See Also:
  Constant Field Values

#### IllegalVisibilityModifierCombinationForField

    static final int IllegalVisibilityModifierCombinationForField

See Also:
  Constant Field Values

#### IllegalModifierCombinationFinalVolatileForField

    static final int IllegalModifierCombinationFinalVolatileForField

See Also:
  Constant Field Values

#### UnexpectedStaticModifierForField

    static final int UnexpectedStaticModifierForField

See Also:
  Constant Field Values

#### DuplicateMethod

    static final int DuplicateMethod

See Also:
  Constant Field Values

#### DuplicateModifierForMethod

    static final int DuplicateModifierForMethod

See Also:
  Constant Field Values

#### IllegalModifierForMethod

    static final int IllegalModifierForMethod

See Also:
  Constant Field Values

#### IllegalVisibilityModifierCombinationForMethod

    static final int IllegalVisibilityModifierCombinationForMethod

See Also:
  Constant Field Values

#### UnexpectedStaticModifierForMethod

    static final int UnexpectedStaticModifierForMethod

See Also:
  Constant Field Values

#### IllegalAbstractModifierCombinationForMethod

    static final int IllegalAbstractModifierCombinationForMethod

See Also:
  Constant Field Values

#### AbstractMethodInAbstractClass

    static final int AbstractMethodInAbstractClass

See Also:
  Constant Field Values

#### ArgumentTypeCannotBeVoid

    static final int ArgumentTypeCannotBeVoid

See Also:
  Constant Field Values

#### NativeMethodsCannotBeStrictfp

    static final int NativeMethodsCannotBeStrictfp

See Also:
  Constant Field Values

#### DuplicateModifierForArgument

    static final int DuplicateModifierForArgument

See Also:
  Constant Field Values

#### ConflictingImport

    static final int ConflictingImport

See Also:
  Constant Field Values

#### DuplicateImport

    static final int DuplicateImport

See Also:
  Constant Field Values

#### CannotImportPackage

    static final int CannotImportPackage

See Also:
  Constant Field Values

#### ImportNotFound

    static final int ImportNotFound

See Also:
  Constant Field Values

#### DuplicateModifierForVariable

    static final int DuplicateModifierForVariable

See Also:
  Constant Field Values

#### AbstractMethodMustBeImplemented

    static final int AbstractMethodMustBeImplemented

See Also:
  Constant Field Values

#### IncompatibleExceptionInThrowsClause

    static final int IncompatibleExceptionInThrowsClause

See Also:
  Constant Field Values

#### IncompatibleExceptionInInheritedMethodThrowsClause

    static final int IncompatibleExceptionInInheritedMethodThrowsClause

See Also:
  Constant Field Values

#### IncompatibleReturnType

    static final int IncompatibleReturnType

See Also:
  Constant Field Values

#### InheritedMethodReducesVisibility

    static final int InheritedMethodReducesVisibility

See Also:
  Constant Field Values

#### CannotOverrideAStaticMethodWithAnInstanceMethod

    static final int CannotOverrideAStaticMethodWithAnInstanceMethod

See Also:
  Constant Field Values

#### CannotHideAnInstanceMethodWithAStaticMethod

    static final int CannotHideAnInstanceMethodWithAStaticMethod

See Also:
  Constant Field Values

#### StaticInheritedMethodConflicts

    static final int StaticInheritedMethodConflicts

See Also:
  Constant Field Values

#### MethodReducesVisibility

    static final int MethodReducesVisibility

See Also:
  Constant Field Values

#### OverridingNonVisibleMethod

    static final int OverridingNonVisibleMethod

See Also:
  Constant Field Values

#### AbstractMethodCannotBeOverridden

    static final int AbstractMethodCannotBeOverridden

See Also:
  Constant Field Values

#### OverridingDeprecatedMethod

    static final int OverridingDeprecatedMethod

See Also:
  Constant Field Values

#### IllegalVararg

    static final int IllegalVararg

See Also:
  Constant Field Values

#### OverridingMethodWithoutSuperInvocation

    static final int OverridingMethodWithoutSuperInvocation

See Also:
  Constant Field Values

#### CodeSnippetMissingClass

    static final int CodeSnippetMissingClass

See Also:
  Constant Field Values

#### CodeSnippetMissingMethod

    static final int CodeSnippetMissingMethod

See Also:
  Constant Field Values

#### TooManyConstantsInConstantPool

    static final int TooManyConstantsInConstantPool

See Also:
  Constant Field Values

#### TooManyBytesForStringConstant

    static final int TooManyBytesForStringConstant

See Also:
  Constant Field Values

#### TooManyFields

    static final int TooManyFields

See Also:
  Constant Field Values

#### TooManyMethods

    static final int TooManyMethods

See Also:
  Constant Field Values

#### UseAssertAsAnIdentifier

    static final int UseAssertAsAnIdentifier

See Also:
  Constant Field Values

#### UseEnumAsAnIdentifier

    static final int UseEnumAsAnIdentifier

See Also:
  Constant Field Values

#### Task

    static final int Task

See Also:
  Constant Field Values

#### NullLocalVariableReference

    static final int NullLocalVariableReference

See Also:
  Constant Field Values

#### PotentialNullLocalVariableReference

    static final int PotentialNullLocalVariableReference

See Also:
  Constant Field Values

#### RedundantNullCheckOnNullLocalVariable

    static final int RedundantNullCheckOnNullLocalVariable

See Also:
  Constant Field Values

#### NullLocalVariableComparisonYieldsFalse

    static final int NullLocalVariableComparisonYieldsFalse

See Also:
  Constant Field Values

#### RedundantLocalVariableNullAssignment

    static final int RedundantLocalVariableNullAssignment

See Also:
  Constant Field Values

#### NullLocalVariableInstanceofYieldsFalse

    static final int NullLocalVariableInstanceofYieldsFalse

See Also:
  Constant Field Values

#### RedundantNullCheckOnNonNullLocalVariable

    static final int RedundantNullCheckOnNonNullLocalVariable

See Also:
  Constant Field Values

#### NonNullLocalVariableComparisonYieldsFalse

    static final int NonNullLocalVariableComparisonYieldsFalse

See Also:
  Constant Field Values

#### UndocumentedEmptyBlock

    static final int UndocumentedEmptyBlock

See Also:
  Constant Field Values

#### JavadocHiddenReference

    static final int JavadocHiddenReference

Problem signaled on an hidden reference due to a too low visibility level.

See Also:
  Constant Field Values

#### JavadocInvalidMemberTypeQualification

    static final int JavadocInvalidMemberTypeQualification

Problem signaled on an invalid qualification for member type reference.

See Also:
  Constant Field Values

#### JavadocMissingIdentifier

    static final int JavadocMissingIdentifier

See Also:
  Constant Field Values

#### JavadocNonStaticTypeFromStaticInvocation

    static final int JavadocNonStaticTypeFromStaticInvocation

See Also:
  Constant Field Values

#### JavadocUnexpectedTag

    static final int JavadocUnexpectedTag

See Also:
  Constant Field Values

#### JavadocMissingParamTag

    static final int JavadocMissingParamTag

See Also:
  Constant Field Values

#### JavadocMissingParamName

    static final int JavadocMissingParamName

See Also:
  Constant Field Values

#### JavadocDuplicateParamName

    static final int JavadocDuplicateParamName

See Also:
  Constant Field Values

#### JavadocInvalidParamName

    static final int JavadocInvalidParamName

See Also:
  Constant Field Values

#### JavadocMissingReturnTag

    static final int JavadocMissingReturnTag

See Also:
  Constant Field Values

#### JavadocDuplicateReturnTag

    static final int JavadocDuplicateReturnTag

See Also:
  Constant Field Values

#### JavadocMissingThrowsTag

    static final int JavadocMissingThrowsTag

See Also:
  Constant Field Values

#### JavadocMissingThrowsClassName

    static final int JavadocMissingThrowsClassName

See Also:
  Constant Field Values

#### JavadocInvalidThrowsClass

    static final int JavadocInvalidThrowsClass

See Also:
  Constant Field Values

#### JavadocDuplicateThrowsClassName

    static final int JavadocDuplicateThrowsClassName

See Also:
  Constant Field Values

#### JavadocInvalidThrowsClassName

    static final int JavadocInvalidThrowsClassName

See Also:
  Constant Field Values

#### JavadocMissingSeeReference

    static final int JavadocMissingSeeReference

See Also:
  Constant Field Values

#### JavadocInvalidSeeReference

    static final int JavadocInvalidSeeReference

See Also:
  Constant Field Values

#### JavadocInvalidSeeHref

    static final int JavadocInvalidSeeHref

See Also:
  Constant Field Values

#### JavadocInvalidSeeArgs

    static final int JavadocInvalidSeeArgs

See Also:
  Constant Field Values

#### JavadocMissing

    static final int JavadocMissing

See Also:
  Constant Field Values

#### JavadocInvalidTag

    static final int JavadocInvalidTag

See Also:
  Constant Field Values

#### JavadocUndefinedField

    static final int JavadocUndefinedField

See Also:
  Constant Field Values

#### JavadocNotVisibleField

    static final int JavadocNotVisibleField

See Also:
  Constant Field Values

#### JavadocAmbiguousField

    static final int JavadocAmbiguousField

See Also:
  Constant Field Values

#### JavadocUsingDeprecatedField

    static final int JavadocUsingDeprecatedField

See Also:
  Constant Field Values

#### JavadocUndefinedConstructor

    static final int JavadocUndefinedConstructor

See Also:
  Constant Field Values

#### JavadocNotVisibleConstructor

    static final int JavadocNotVisibleConstructor

See Also:
  Constant Field Values

#### JavadocAmbiguousConstructor

    static final int JavadocAmbiguousConstructor

See Also:
  Constant Field Values

#### JavadocUsingDeprecatedConstructor

    static final int JavadocUsingDeprecatedConstructor

See Also:
  Constant Field Values

#### JavadocUndefinedMethod

    static final int JavadocUndefinedMethod

See Also:
  Constant Field Values

#### JavadocNotVisibleMethod

    static final int JavadocNotVisibleMethod

See Also:
  Constant Field Values

#### JavadocAmbiguousMethod

    static final int JavadocAmbiguousMethod

See Also:
  Constant Field Values

#### JavadocUsingDeprecatedMethod

    static final int JavadocUsingDeprecatedMethod

See Also:
  Constant Field Values

#### JavadocNoMessageSendOnBaseType

    static final int JavadocNoMessageSendOnBaseType

See Also:
  Constant Field Values

#### JavadocParameterMismatch

    static final int JavadocParameterMismatch

See Also:
  Constant Field Values

#### JavadocNoMessageSendOnArrayType

    static final int JavadocNoMessageSendOnArrayType

See Also:
  Constant Field Values

#### JavadocUndefinedType

    static final int JavadocUndefinedType

See Also:
  Constant Field Values

#### JavadocNotVisibleType

    static final int JavadocNotVisibleType

See Also:
  Constant Field Values

#### JavadocAmbiguousType

    static final int JavadocAmbiguousType

See Also:
  Constant Field Values

#### JavadocUsingDeprecatedType

    static final int JavadocUsingDeprecatedType

See Also:
  Constant Field Values

#### JavadocInternalTypeNameProvided

    static final int JavadocInternalTypeNameProvided

See Also:
  Constant Field Values

#### JavadocInheritedMethodHidesEnclosingName

    static final int JavadocInheritedMethodHidesEnclosingName

See Also:
  Constant Field Values

#### JavadocInheritedFieldHidesEnclosingName

    static final int JavadocInheritedFieldHidesEnclosingName

See Also:
  Constant Field Values

#### JavadocInheritedNameHidesEnclosingTypeName

    static final int JavadocInheritedNameHidesEnclosingTypeName

See Also:
  Constant Field Values

#### JavadocUnterminatedInlineTag

    static final int JavadocUnterminatedInlineTag

See Also:
  Constant Field Values

#### JavadocMalformedSeeReference

    static final int JavadocMalformedSeeReference

See Also:
  Constant Field Values

#### JavadocMessagePrefix

    static final int JavadocMessagePrefix

See Also:
  Constant Field Values

#### JavadocMissingHashCharacter

    static final int JavadocMissingHashCharacter

See Also:
  Constant Field Values

#### JavadocEmptyReturnTag

    static final int JavadocEmptyReturnTag

See Also:
  Constant Field Values

#### JavadocUnexpectedText

    static final int JavadocUnexpectedText

See Also:
  Constant Field Values

#### JavadocInvalidParamTagName

    static final int JavadocInvalidParamTagName

See Also:
  Constant Field Values

#### IncompatibleTypesInForeach

    static final int IncompatibleTypesInForeach

Foreach

See Also:
  Constant Field Values

#### InvalidTypeForCollection

    static final int InvalidTypeForCollection

See Also:
  Constant Field Values

#### InvalidUsageOfForeachStatements

    static final int InvalidUsageOfForeachStatements

1.5 Syntax errors (when source level < 1.5)

See Also:
  Constant Field Values

#### CorruptedSignature

    static final int CorruptedSignature

Corrupted binaries

See Also:
  Constant Field Values

#### InvalidEncoding

    static final int InvalidEncoding

Corrupted source

See Also:
  Constant Field Values

#### CannotReadSource

    static final int CannotReadSource

See Also:
  Constant Field Values

#### ExternalProblemNotFixable

    static final int ExternalProblemNotFixable

External problems -- These are problems defined by other plugins

See Also:
  Constant Field Values

#### ExternalProblemFixable

    static final int ExternalProblemFixable

See Also:
  Constant Field Values

#### InvalidValueForSetter

    static final int InvalidValueForSetter

See Also:
  Constant Field Values

#### InvalidValueForGetter

    static final int InvalidValueForGetter

See Also:
  Constant Field Values

### Method Detail

#### getArguments

    java.lang.String[] getArguments()

Answer back the original arguments recorded into the problem.

Returns:
  the original arguments recorded into the problem

#### getID

    int getID()

Returns the problem id

Returns:
  the problem id

#### getMessage

    java.lang.String getMessage()

Answer a localized, human-readable message string which describes the problem.

Returns:
  a localized, human-readable message string which describes the problem

#### getOriginatingFileName

    char[] getOriginatingFileName()

Answer the file name in which the problem was found.

Returns:
  the file name in which the problem was found

#### getSourceEnd

    int getSourceEnd()

Answer the end position of the problem (inclusive), or -1 if unknown.

Returns:
  the end position of the problem (inclusive), or -1 if unknown

#### getSourceLineNumber

    int getSourceLineNumber()

Answer the line number in source where the problem begins.

Returns:
  the line number in source where the problem begins

#### getSourceStart

    int getSourceStart()

Answer the start position of the problem (inclusive), or -1 if unknown.

Returns:
  the start position of the problem (inclusive), or -1 if unknown

#### isError

    boolean isError()

Checks the severity to see if the Error bit is set.

Returns:
  true if the Error bit is set for the severity, false otherwise

#### isWarning

    boolean isWarning()

Checks the severity to see if the Error bit is not set.

Returns:
  true if the Error bit is not set for the severity, false otherwise

#### setSourceEnd

    void setSourceEnd(int sourceEnd)

Set the end position of the problem (inclusive), or -1 if unknown. Used for shifting problem positions.

Parameters:
  `sourceEnd` - the given end position

#### setSourceLineNumber

    void setSourceLineNumber(int lineNumber)

Set the line number in source where the problem begins.

Parameters:
  `lineNumber` - the given line number

#### setSourceStart

    void setSourceStart(int sourceStart)

Set the start position of the problem (inclusive), or -1 if unknown. Used for shifting problem positions.

Parameters:
  `sourceStart` - the given start position